org.richfaces.renderkit

## Class TableHolder

- java.lang.Object
- - org.richfaces.renderkit.TableHolder

- Direct Known Subclasses:
    ExtendedTableHolder

      public class TableHolder
      extends java.lang.Object

  Private class for keep reference to table and intermediate iteration values ( current row styles, events etc )
  Author:
    shura

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableHolder(org.ajax4jsf.component.UIDataAdaptor table)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnClass(int columnNumber)`
    `int` | `getGridRowCounter()`
    `java.lang.String` | `getRowClass()`
    `java.lang.String` | `getRowClass(int row)`
    `int` | `getRowCounter()`
    `org.ajax4jsf.component.UIDataAdaptor` | `getTable()`
    `int` | `nextRow()` Get current rendered row number, and increment to next value.
    `void` | `setGridRowCounter(int gridRowCounter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableHolder

          public TableHolder(org.ajax4jsf.component.UIDataAdaptor table)

      Parameters:
        `table` -

  - ### Method Detail

    - #### getTable

          public org.ajax4jsf.component.UIDataAdaptor getTable()

      Returns:
        the table

    - #### getRowCounter

          public int getRowCounter()

      Returns:
        the rowCounter

    - #### nextRow

          public int nextRow()

      Get current rendered row number, and increment to next value.
      Returns:
        the rowCounter

    - #### getRowClass

          public java.lang.String getRowClass()

    - #### getRowClass

          public java.lang.String getRowClass(int row)

    - #### getColumnClass

          public java.lang.String getColumnClass(int columnNumber)

    - #### getGridRowCounter

          public int getGridRowCounter()

      Returns:
        the gridRowCounter

    - #### setGridRowCounter

          public void setGridRowCounter(int gridRowCounter)

      Parameters:
        `gridRowCounter` - the gridRowCounter to set

Copyright © 2013. All Rights Reserved.